CRMchat APIBeta
Telegram APIMessages

messages.getSavedDialogsByID

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/messages.getSavedDialogsByID

Obtain information about specific saved message dialogs » or monoforum topics ».

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Obtain information about specific saved message dialogs » or monoforum topics ».

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.getSavedDialogsByID" \  -H "Content-Type: application/json" \  -d '{    "params": {      "ids": [        {          "_": "inputPeerEmpty"        }      ]    }  }'
{  "result": {    "_": "messages.savedDialogs",    "dialogs": [      {        "_": "savedDialog",        "pinned": true,        "peer": {          "_": "peerUser",          "userId": 0        },        "topMessage": 0      }    ],    "messages": [      {        "_": "messageEmpty",        "id": 0,        "peerId": {          "_": "peerUser",          "userId": 0        }      }    ],    "chats": [      {        "_": "chatEmpty",        "id": 0      }    ],    "users": [      {        "_": "userEmpty",        "id": 0      }    ]  }}